$PROB BOLUS AND EMAX

$INPUT ID TIME AMT DVID DV

$SUBR
; LIBLIST bolus1=MYPK(model=Bolus1,param=list(CL,V,DOSE,C))
; LIBLIST emaximm=MYPKPD(model=EmaxImmediate,param=list(EMAX,C50,C,E))

$THETA
(0.001,0.1,) ; POP_CL
(0.001,8,)   ; POP_V
100 ; POP_EMAX
10 ; POP_C50

$OMEGA BLOCK(4)
0.1 ; PPV_CL
0.01 0.1 ; PPV_V
0    0.01 0.01 ; PPV_EMAX
0    0    0.01 0.01 ; PPV_C50

$SIGMA 
0.1 ; RUV_PROP_C
0.1 ; RUV_ADD_C
0.1 ; RUV_ADD_E

$PK

   CL=THETA(1)*EXP(ETA(1))
   V=THETA(2)*EXP(ETA(2))
   EMAX=THETA(3)*EXP(ETA(3))
   C50=THETA(4)*EXP(ETA(4))

$ERROR
   IF (AMT.GT.0) DOSE=AMT
   CONC=C
   EFFECT=E

   IF (DVID.EQ.1) THEN
      Y=CONC*(1+ERR(1)) + ERR(2)
   ENDIF
   IF (DVID.EQ.2) THEN
      Y=EFFECT + ERR(3)
   ENDIF

$EST METHOD=COND INTER MAX=9990 SIG=3






