Welcome to the MDL editor and it's test use cases!

This folder contains MDL models in three categories



Import Instructions
=================================

To import these use cases in the MDL editor go to 'File' -> 'Import...'.
Under 'General', select 'Existing Projects Into Workspace' and 
click next. This will open up a dialogue box where you can select 
root directory for the projects to import. Select this directory 
and click Finish. You will now have three projects.

These instructions are also in the User Guide and associated video.


Folder Contents
=================================

In the three subfolders you will find the following content:


Fully_NONMEM_Compatible_Subset
---------------------------------

Like the folder name suggests, these are MDL models that the 
MDL editor can translate into fully functioning Nonmem control 
files. These files originate from the full set of MDL editor 
use cases, Phenobarbital PK examples or the DDMoRe WP1 models.
The MDL editor generates Nonmem control files that will run 
from the 'src-gen' folder where they are created. 



MDL_Use_Cases_2013_09_19
---------------------------------

The full set of MDL test use cases.


WP1_MDL_Models_2013_09_19
---------------------------------

The full set of MDL model use cases from DDMoRe Work Package 1.



Questions/Comments
=================================

Please contact Richard Kaye at [Mango Solutions](http://www.mango-solutions.com/ "data analysis that delivers")