This folder contains a release of the MDL IDE v1.0

MDL IDE v1.0 (Alpha Release)
=================================
This is an alpha release and no assumptions about performance or functionality should be made.
It is provided without any guarantees or warranties from Mango Solutions Limited or Leiden University.
You may use this software for evaluation purposes. Do not use it for production purposes.

LICENCE for MDL Editor
=================================
Copyright (C) 2013, Leiden University. All rights reserved.

Leiden University gratefully acknowledges the contributions of its partner Mango Business Solutions Limited for their design work and support.

This program and the accompanying materials is licensed under the terms of the GNU Lesser General Public License version 2.1 as published by the Free Software Foundation.
(See the co-located lgpl-2.1.txt file for the full text of the license. Alternatively see http://www.gnu.org/licenses/lgpl-2.1.html)

Special consideration should be given to the following section contained within the LGPLv2.1 licence:

                            NO WARRANTY

  15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO
WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW.
EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR
OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY
KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE
LIBRARY IS WITH YOU.  SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME
THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

  16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN
WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY
AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU
FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE
LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING
RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A
FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF
SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
DAMAGES.

System Requirements
=================================
One of the following operating systems is required to run the MDL IDE:

* Windows XP (32-bit)
* Windows Vista (32-bit or 64-bit)
* Windows 7 (32-bit or 64-bit)
* Windows 8 (32-bit or 64-bit)

Note: The MDL IDE has been verified using Windows 7, other operating systems have not been tested against.

* Oracle Java (JRE) 1.6 (32-bit or 64-bit)

Java is available from [java.com](http://www.java.com)


Contents of the Release
=================================
This release is targeted to the M&S community within the DDMoRe project and all other interested parties outside of the DDMoRe project.

Documentation
* Installation Guide
	Includes download instructions for the DDMoRe MDL IDE
* User Guide

Example Use Cases
* There are a set of use cases which can be imported into the MDL IDE for example purposes. A more detailed description is contained in the User Guide



Release Notes
=================================
See "Prototype User Guide - Public Release Version 1" for information on what is included in this release.
This is an alpha release and no assumptions about performance or functionality should be made.
It is provided without any guarantees or warranties from Mango Solutions Limited or Leiden University.

Questions/Comments
------------------

Please contact Richard Kaye at [Mango Solutions](http://www.mango-solutions.com/ "data analysis that delivers")